import CloseSessionButton from '@/feature/messenger/components/ui/buttons/CloseSessionButton';
import MoonButton from '@/feature/messenger/components/ui/buttons/MoonButton';
import ProfileButton from '@/feature/messenger/components/ui/buttons/ProfileButton';
import ContactsButton from '@/feature/messenger/components/ui/buttons/ContactsButton';
import ChatButton from '@/feature/messenger/components/ui/buttons/ChatButton';
import '@/feature/messenger/style/globals.css'
import BackSelectButton from '@/feature/messenger/components/ui/buttons/BackSelectButton';
import PauseSessionButton from '@/feature/messenger/components/ui/buttons/PauseSessionButton';

const Sidebar = () => {
  return (
    <div className={`relative hidden md:flex lg:flex min-w-16 w-16 flex-col items-center justify-between py-7 transition delay-700 border-r-0 border-gray-100 bg-indigo-600`}>
      {/* Sidebar content top */}
      <div className="flex flex-col items-center w-full">
        <ProfileButton />
        <ChatButton />
        <ContactsButton />
        {/* <DocumentsButton /> */}
      </div>
      {/* Sidebar content bottom */}
      <div className="flex flex-col gap-3 items-center">
        <MoonButton />
        {/*<ConfigurationButton />*/}
        <PauseSessionButton />
        <BackSelectButton />
        <CloseSessionButton />
      </div>
      <div className="absolute top-0 left-16 w-16 h-10 bg-indigo-600 -z-10"></div>
    </div>
  );
};


export default Sidebar;
